/* eslint-disable vue/no-unused-vars */
/* eslint-disable vue/no-template-key */
/* eslint-disable vue/no-template-key */
<template>
  <div class="wrapper" :class="{ 'nav-open': $sidebar.showSidebar }">
    <side-bar
      :background-color="sidebarBackground"
      short-title="Argon"
      title="Argon"
    >
        {{isRoles}}
      <template slot="links">

       
        <sidebar-item
          :link="{
            name: 'Dashboard',
            icon: 'ni ni-tv-2 text-primary',
            path: '/dashboard',
          }"
        />
        <sidebar-item
          :link="{
            name: 'Tables',
            icon: 'ni ni-bullet-list-67 text-red',
            path: '/tables',
          }"
        />


        <sidebar-item
          :link="{
            name: 'Schools',
            icon: 'fa fa-university text-primary',
            path: '/schools',
          }"
        />
        <sidebar-item
         v-for="menu in getListMenu" :key="menu.id" 
          :link="{
            name: menu.name,
            icon: menu.icon + ' text-primary',
            path:  menu.urlString,
          }"
        />

        <sidebar-item
          :link="{
            name: 'Students',
            icon: 'fa fa-graduation-cap text-primary',
            path: '/students',
          }"
        />
      </template>
    </side-bar>
    <div class="main-content" :data="sidebarBackground">
      <dashboard-navbar></dashboard-navbar>

      <div @click="toggleSidebar">
        <fade-transition :duration="200" origin="center top" mode="out-in">
          <!-- your content here -->
          <router-view></router-view>
        </fade-transition>
        <content-footer v-if="!$route.meta.hideFooter"></content-footer>
      </div>
    </div>
  </div>
</template>
<script>
import DashboardNavbar from "./DashboardNavbar.vue";
import ContentFooter from "./ContentFooter.vue";
import { FadeTransition } from "vue2-transitions";

export default {
  components: {
    DashboardNavbar,
    ContentFooter,
    FadeTransition,
  },
  data() {
    return {
      sidebarBackground: "vue", //vue|blue|orange|green|red|primary
    };
  },
  methods: {
    toggleSidebar() {
      if (this.$sidebar.showSidebar) {
        this.$sidebar.displaySidebar(false);
      }
    },
  },
  computed: {
    getListMenu() {
      return this.$store.getters["auth/menuList"];
    },
     isRoles(){
       return this.$store.getters['auth/getRoles'];
    }
  },
};
</script>
<style lang="scss">
</style>
